## view.page
Class EditTournamentPage

    java.lang.Object
      view.GoResponse
          view.page.GoPage
              view.page.EditTournamentPage

    public class EditTournamentPage

extends GoPage

Nested Class Summary
`private class` `EditTournamentPage.DiscountTable` A class for a discount creation, editing and deletion.
`private class` `EditTournamentPage.FieldTable` A class for tournament data field table.
`private class` `EditTournamentPage.TournamentForm` A class for the tournament creation/editing form.

Constructor Summary
`EditTournamentPage(Tournament tournament)` Constructs the page.

Method Summary

Methods inherited from class view.page.GoPage
`getContent, getSource, getSource, setOnLoad, setTitleText`

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditTournamentPage

    public EditTournamentPage(Tournament tournament)

  Constructs the page.

  Parameters:
    `tournament` - the tournament to edit. if null, the page contains a form to create a new tournament.